/*   IPXHeader packetType values */

#define UNKNOWN_PACKET_TYPE        0
#define RIP_PACKET_TYPE            1
#define ECHO_PACKET_TYPE           2
#define ERROR_PACKET_TYPE          3
#define IDP_PACKET_TYPE            4
#define IPX_PACKET_TYPE            4
#define SPP_PACKET_TYPE            5
#define SPX_PACKET_TYPE            5
#define NCP_PACKET_TYPE            17
#define NETBIOS_PACKET_TYPE        20

/*   SPXHeader connectionControl Bit values */

#define SPX_END_OF_MESSAGE         0x10
#define SPX_ACNOWLEDGMENT_REQUIRED 0x40
#define SPX_SYSTEM_PACKET          0x80

/*   SPXHeader dataStreamType values */

#define SPX_END_OF_CONNECTION      0xFE
#define TERMINATE_CONNECTION       0xFE
#define SPX_END_OF_CONNECTION_ACK  0xFF

/*   ECB inUseFlag values */

#define AVAILABLE_FOR_USE          0x00
#define ECB_AES_TEMPORARY          0xE0
#define ECB_CRITICAL_HOLDING       0xF8
#define ECB_PROCESSING             0xFA
#define ECB_HOLDING                0xFB
#define ECB_AES_WAITING            0xFC
#define ECB_WAITING                0xFD
#define ECB_RECEIVING              0xFE
#define ECB_SENDING                0xFF

/*   ECB completionCode values */

#ifndef SUCESSFUL
#define SUCESSFUL                    0x00
#endif

/*  #define SPX_CONNECTION_TERMINATED  0x00	SPXTerminateConnection success */

#define SPX_PACKET_SUCCESSFUL        0x00
#define SPX_CONNECTION_TERMINATED    0xEC
#define TERMINATED_BY_REMOTE_PARTNER 0xEC
#define SPX_TERMINATED_POORLY        0xED
#define SPX_NO_ANSWER_FROM_TARGET    0xED
#define SPX_CONNECTION_FAILED        0xED
#define SPX_INVALID_CONNECTION       0xEE
#define SPX_CONNECTION_TABLE_FULL    0xEF
#define SPX_SOCKET_CLOSED            0xFC
#define SPX_COMMAND_CANCELLED        0xFC
#define REQUEST_CANCELLED            0xFC
#define SPX_PACKET_OVERFLOW          0xFD
#define SPX_MALFORMED_PACKET         0xFD
#define BAD_PACKET                   0xFD
#define PACKET_NOT_DELIVERABLE       0xFE
#define SOCKET_NOT_OPEN              0xFF
#define SPX_SOCKET_NOT_OPEN          0xFF
#define HARDWARE_FAILURE             0xFF

/*   Communications Services Return Values */

#ifndef SUCESSFUL
#define SUCESSFUL                  0x00
#endif

#define SPX_CONNECTION_STARTED     0x00
#define SPX_NOT_INSTALLED          0x00
#define SPX_CONNECTION_OK          0x00
#define SPX_INVALID_CONNECTION     0xEE
#define SPX_CONNECTION_TABLE_FULL  0xEF
#define ECB_CANNOT_BE_CANCELLED    0xF9
#define EVENT_CANCELLED            0xFC
#define SPX_MALFORMED_PACKET       0xFD
#define ECB_NOT_IN_USE             0xFF
#define NO_LOCAL_TARGET_IDENTIFIED 0xFA
#define IPX_NOT_INSTALLED          0xF0
#define SOCKET_TABLE_FULL          0xFE
#define SOCKET_ALREADY_OPEN        0xFF
#define SPX_SOCKET_NOT_OPENED      0xFF
#define SPX_IS_INSTALLED           0xFF

/*   IPXOpenSocket socketType values */

#define SHORT_LIVED                0x00
#define LONG_LIVED                 0xFF

/*   SPXEstablishConnection watchDog values */

#define ENABLE_WATCHDOG            0xFF
#define DISABLE_WATCHDOG           0x00

/*   CONNECTION_INFO connectionState values */

#define WAITING     0x01
#define STARTING    0x02
#define ESTABLISHED 0x03
#define TERMINATING 0x04

